#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(std::vector<int> v)
{
    if(v.size()==3||v.size()==5)
    {
        for(int j=0;j<v.size();j++)
        {
            if(v[j]==3) return j;
        }
        for(int j=0;j<v.size();j++)
        {
            if(v[j]==2) return j;
        }
        return 0;
    }
    if(v[1]==2) return 6;
    else return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
